io.undertow.util

## Class LegacyCookieSupport

- java.lang.Object
- - io.undertow.util.LegacyCookieSupport

    public final class LegacyCookieSupport
    extends Object

Class that contains static constants and utility methods for legacy Set-Cookie format. Porting from JBossWeb and Tomcat code. Note that in general we do not use system properties for configuration, however as these are legacy options that are not widely used an exception has been made in this case.

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `adjustedCookieVersion(Cookie cookie)`
`static void` `maybeQuote(StringBuilder buf, String value)` Quotes values if required.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### maybeQuote

    public static void maybeQuote(StringBuilder buf,
                                  String value)

Quotes values if required.

Parameters:
  `buf` -
  `value` -

#### adjustedCookieVersion

    public static int adjustedCookieVersion(Cookie cookie)